%define pluginversion 1.3.0
%define kdeversion kde4.2.0

Name:           kopete-cryptography
Version:        %{pluginversion}
Release:        7%{?dist}
Summary:        Encrypts and signs messages in Kopete using the OpenPGP

Group:          Applications/Internet
License:        GPLv2+
URL:            http://extragear.kde.org/apps/kopete%20cryptography/
Source0:        ftp://ftp.kde.org/pub/kde/stable/4.1.3/src/extragear/%{name}-%{pluginversion}-%{kdeversion}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs4-devel >= 4
BuildRequires:  kde-filesystem >= 4
BuildRequires:  cmake
BuildRequires:  kdenetwork-devel >= 4
BuildRequires:  kdepim-devel >= 4
BuildRequires:  kdepimlibs-devel >= 4
BuildRequires:  gpgme-devel
BuildRequires:  openldap-devel
BuildRequires:  gettext-devel

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
Kopete cryptography plugin encrypts and signs messages using the OpenPGP
standard. It also handles incoming messages that are encrypted or signed.

%prep
%setup -q -n %{name}-%{pluginversion}-%{kdeversion}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make VERBOSE=1 %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}


%find_lang %{name} 
# HTML
for lang_dir in %{buildroot}%{_docdir}/HTML/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) %doc %{_docdir}/HTML/$lang" >> %{name}.lang
  fi
done


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.DOC COPYING.LIB
%{_kde4_libdir}/kde4/kcm_kopete_cryptography.so
%{_kde4_libdir}/kde4/kopete_cryptography.so
%{_kde4_datadir}/kde4/services/kconfiguredialog/kopete_cryptography_config.desktop
%{_kde4_datadir}/kde4/services/kopete_cryptography.desktop
%{_kde4_appsdir}/kopete_cryptography/

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 23 2009 Than Ngo <than@redhat.com> - 1.3.0-6
- 4.2.0

* Tue Dec 10 2008 Jaroslav Reznik <jreznik@redhat.com> - 1.3.0-5
- remove post and postun sections
* Thu Dec 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.3.0-4
- rebuild for fixed kde-filesystem (macros.kde4) (get rid of rpaths)
* Tue Dec 02 2008 Jaroslav Reznik <jreznik@redhat.com> - 1.3.0-3
- post and postun sections
- install section cleanup
* Mon Dec 01 2008 Jaroslav Reznik <jreznik@redhat.com> - 1.3.0-2
- buildroot macro usage consistency
- make VERBOSE=1
- owns kopete_cryptography directory
* Thu Nov 27 2008 Jaroslav Reznik <jreznik@redhat.com> - 1.3.0-1
- initial package
